Bug 520510 - Xen guests will not be identified with 5.4 client tools
Summary: Xen guests will not be identified with 5.4 client tools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 20:51 UTC by James Bowes
Modified: 2013-01-10 10:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 17:20:34 UTC


Attachments (Terms of Use)

Description James Bowes 2009-08-31 20:51:02 UTC
During registration, a xen guest sends up the fields:
virt_type = 'para'
virt_uuid = 'somehash'
We use these to identify the guest as a xen guest.

In rhel 5.4, the client will also send up:
smbios = SOMEHASH
We look in the hash for other details to find out of the guest is a KVM guest.

If the client sends up both, smbios will trump xen info, so we won't recognize the xen guest as a guest.

Comment 6 Denise Hughes 2009-09-01 18:50:52 UTC
Jan,

Can you test the Para and Full Virtualization Xen guest that you referred to in comment #2?

Thanks,
Denise


Note You need to log in before you can comment on or make changes to this bug.